Package org.apache.velocity.util

# Class EnumerationIterator

java.lang.Object
org.apache.velocity.util.EnumerationIterator

All Implemented Interfaces:
  `Iterator`

public class EnumerationIterator extends Object implements Iterator
An Iterator wrapper for an Enumeration.

Version:
  $Id$
Author:
  Geir Magnusson Jr.

## Constructor Summary

Constructors
Constructor
Description
`EnumerationIterator(Enumeration enumeration)`
Creates a new iteratorwrapper instance for the specified Enumeration.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`hasNext()`
Check to see if there is another element in the array.
`Object`
`next()`
Move to next element in the array.
`void`
`remove()`
Unimplemented.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Iterator

`forEachRemaining`

## Constructor Details

### EnumerationIterator

public EnumerationIterator(Enumeration enumeration)
Creates a new iteratorwrapper instance for the specified Enumeration.

Parameters:
  `enumeration` - The Enumeration to wrap.

## Method Details

### next

public Object next()
Move to next element in the array.

Specified by:
  `next` in interface `Iterator`
Returns:
  The next object in the array.

### hasNext

public boolean hasNext()
Check to see if there is another element in the array.

Specified by:
  `hasNext` in interface `Iterator`
Returns:
  Whether there is another element.

### remove

public void remove()
Unimplemented. No analogy in Enumeration

Specified by:
  `remove` in interface `Iterator`